# Class: User

## User()

Auth user model. This inherits fields and methods from the default flitter-auth/model/User model, however you can override methods and properties here as you need. This file was automatically generated by the Flitter Framework.

## Constructor

#### new User()

Source:
  - app/models/auth/User.model.js, line 12

### Extends

- AuthUser

### Methods

#### (async) team() → {Promise.<Team>}

Get the team associated with this user.

Source:
  - app/models/auth/User.model.js, line 29

##### Returns:

Type
  Promise.<Team>